AdnovaDocs
Inspiration

Get a saved ad

Fetches a single saved ad by its inspirationSavedAdId (the id returned by POST /saved-ads). 404 if not found in the workspace.

POST
/saved-ads/ad

Authentication

authentication
api-key<token>

Create an API key from the Adnova dashboard (Account integrations). Pass the key value in the api-key request header on every call.

In: header

Header Parameters

x-org-id*string

Organization ULID that scopes the request.

x-workspace-id*string

Workspace ULID that scopes the request.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

inspirationSavedAdId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.adnova.ai/inspiration/v1/saved-ads/ad" \  -H "x-org-id: 01K8Z23F1QQ1ZA93B8WYBS40GH" \  -H "x-workspace-id: 01KJ7S42FHQTCTKD6KKFJKTZBC" \  -H "Content-Type: application/json" \  -d '{    "inspirationSavedAdId": "01KS9QV0T2YVZ8TA042S5MY5YF"  }'
{
  "data": {
    "inspirationSavedAdId": "01KS9QV0T2YVZ8TA042S5MY5YF",
    "isActive": true,
    "format": "IMAGE",
    "brandId": "01JWTFNAJJ5B53FRBN5G19VKZ0",
    "landingPageUrl": "https://www.ellarboutique.com.au",
    "publisherPlatforms": [
      "facebook",
      "instagram",
      "messenger",
      "threads"
    ],
    "likes": 1845,
    "tags": [
      "01KS80XVMDPMZQ5R83PBYA6ZR2"
    ],
    "startDate": 1779260400,
    "endDate": 1779260400,
    "runningDays": 14,
    "advertiser": {
      "name": "Ellar Boutique",
      "logoUrl": "https://asset.ad./.../01KSF5YW8FHGA2WAR0YXB6A1QB"
    },
    "creatives": [
      {
        "type": "image",
        "mediaUrl": "https://asset.ad./.../01KSF5YW8FHGA2WAR0YXB6A1QB/.../eae37fb9_672751",
        "thumbnailUrl": "https://asset.ad./.../01KSF5YW8FHGA2WAR0YXB6A1QB/.../eae37fb9_672751",
        "headline": "No Boring Gifts!",
        "body": "Ditch the ordinary corporate gifts!",
        "caption": "ellarboutique.com.au",
        "ctaText": "Get quote",
        "ctaType": "GET_QUOTE",
        "linkUrl": "https://www.ellarboutique.com.au/pages/create-your-own-gift"
      }
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "API_CREDITS_EXHAUSTED",
    "message": "API credits exhausted for the current period",
    "details": {
      "creditsUsed": 10,
      "creditsLimit": 10,
      "creditsRemaining": 0,
      "period": {
        "start": "2026-05-18T00:00:00.000Z",
        "end": "2026-06-18T00:00:00.000Z"
      }
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "RATE_LIMIT_EXCEEDED",
    "message": "Too many requests."
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}